package cn.superdesk.uniorder.common.security.superdeskapp.sign;

/**
 * @param
 * @author superdesk
 * @description 签名外层实体
 * @date 2020年02月15日
 */
public class OpenDataApiRequestEntity {

	private String appKey; //验证序号,(服务之窗提供)
	private String timestamp; //使用中国区的时间。YYYY-MM-DD  HH:mm:ss (24 小时制)
	private String sign; //签名
	private String v      = "1.0"; //1.0 固定为此值 必填
	private String format = "json"; // json 固定为此值
	private String locale = "cn"; //cn 固定为此值
	private String content; //业务参数,需要 AES 对称解密

	public OpenDataApiRequestEntity() {

	}

	public String getAppKey() {
		return appKey;
	}

	public void setAppKey(String appKey) {
		this.appKey = appKey;
	}

	public String getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public String getV() {
		return v;
	}

	public void setV(String v) {
		this.v = v;
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public String getLocale() {
		return locale;
	}

	public void setLocale(String locale) {
		this.locale = locale;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
}
